Package com.emc.documentum.rest.model

# Class AttributeInfo

java.lang.Object
com.emc.documentum.rest.model.AttributeInfo

Direct Known Subclasses:
  `AttributeLifecycleInfo`

public class AttributeInfo extends Object
Attribute info of `TypeObject`, it is meta data of attribute. This class is not thread safe.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttributeInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttrDependencies(String dependency)`
  Add attribute dependency
  `void`
  `addConstraint(ValueConstraint constraint)`
  `void`
  `addDefaultValue(DefaultValue defaultValue)`
  Deprecated.
  `void`
  `addMappingTable(String value, String display, String desc)`
  `void`
  `addValueAssistanceDefinitionItem(ConditionalValueAssist item)`
  Add value assistance definition item
  `Integer`
  `getAttrLength()`
  Get attribute length
  `Map<String,Map<String,AttributeLifecycleInfo>>`
  `getAttrLifecycles()`
  `String`
  `getAttrName()`
  Get attribute name
  `Boolean`
  `getAttrRepeating()`
  Check if the attribute is repeating attribute
  `String`
  `getAttrType()`
  Get attribute type
  `String`
  `getCategory()`
  `String`
  `getCommentText()`
  `List<ValueConstraint>`
  `getConstraints()`
  `Map<String,AttributeLifecycleInfo>`
  `getCreateAttrLifecycle(String lifecycle)`
  `AttributeLifecycleInfo`
  `getCreateAttrLifecycle(String lifecycle, String state)`
  `String`
  `getDefaultExpression()`
  `String`
  `getDefaultLiteral()`
  `List<DefaultValue>`
  `getDefaultValueList()`
  `List<String>`
  `getDependencies()`
  `Integer`
  `getDisplayHint()`
  `String`
  `getHelpText()`
  `Boolean`
  `getIgnoreConstraints()`
  `Boolean`
  `getIgnoreImmutable()`
  `Boolean`
  `getIsHidden()`
  Check if the attribute is hidden
  `Boolean`
  `getIsRequired()`
  Check if the attribute is required
  `Boolean`
  `getIsSearchable()`
  Check if attribute is searchable
  `String`
  `getLabelText()`
  Get label text
  `List<MappingTable>`
  `getMappingTables()`
  `Boolean`
  `getNotNull()`
  Get nullable of attribute
  `Enforce`
  `getNotNullEnforce()`
  `String`
  `getNotNullMessage()`
  `Boolean`
  `getReadOnly()`
  Check if attribute is read-only
  `List<ConditionalValueAssist>`
  `getVaDef()`
  `void`
  `removeDuplicateAttributeLifecycleInfo()`
  `void`
  `setAttrLength(Integer attrLength)`
  Set attribute length
  `void`
  `setAttrLifecycles(Map<String,Map<String,AttributeLifecycleInfo>> attrLifecycles)`
  `void`
  `setAttrName(String attrName)`
  Set attribute name
  `void`
  `setAttrRepeating(Boolean attrRepeating)`
  Set attribute repeating mark
  `void`
  `setAttrType(String attrType)`
  Set attribute type
  `void`
  `setCategory(String category)`
  `void`
  `setCommentText(String commentText)`
  `void`
  `setConstraints(List<ValueConstraint> constraints)`
  `void`
  `setDefaultExpression(String defaultExpression)`
  `void`
  `setDefaultLiteral(String defaultLiteral)`
  `void`
  `setDefaultValueList(List<DefaultValue> defaultValueList)`
  `void`
  `setDependencies(List<String> dependencies)`
  `void`
  `setDisplayHint(Integer displayHint)`
  `void`
  `setHelpText(String helpText)`
  `void`
  `setIgnoreConstraints(Boolean ignoreConstraints)`
  `void`
  `setIgnoreImmutable(Boolean ignoreImmutable)`
  `void`
  `setIsHidden(Boolean isHidden)`
  Change hiddenness of the attribute
  `void`
  `setIsRequired(Boolean isRequired)`
  Make the attribute required or not
  `void`
  `setIsSearchable(Boolean isSearchable)`
  Change seachable of attribute
  `void`
  `setLabelText(String labelText)`
  Set label text
  `void`
  `setMappingTables(List<MappingTable> mappingTables)`
  `void`
  `setNotNull(Boolean notNull)`
  Change nullable of attribute
  `void`
  `setNotNullEnforce(Enforce notNullEnforce)`
  `void`
  `setNotNullMessage(String notNullMessage)`
  `void`
  `setReadOnly(Boolean readOnly)`
  Make the attribute read-only or not
  `void`
  `setVaDef(List<ConditionalValueAssist> vaDef)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttributeInfo

    public AttributeInfo()

- ## Method Details

  - ### getAttrName

    public String getAttrName()
    Get attribute name
    Returns:
      attribute name

  - ### setAttrName

    public void setAttrName(String attrName)
    Set attribute name
    Parameters:
      `attrName` - attribute name

  - ### getAttrRepeating

    public Boolean getAttrRepeating()
    Check if the attribute is repeating attribute
    Returns:
      `true` if it is repeating attribute

  - ### setAttrRepeating

    public void setAttrRepeating(Boolean attrRepeating)
    Set attribute repeating mark
    Parameters:
      `attrRepeating` - whether the attr is repeating

  - ### getAttrType

    public String getAttrType()
    Get attribute type
    Returns:
      attribute type

  - ### setAttrType

    public void setAttrType(String attrType)
    Set attribute type
    Parameters:
      `attrType` - attribute type

  - ### getAttrLength

    public Integer getAttrLength()
    Get attribute length
    Returns:
      attribute length

  - ### setAttrLength

    public void setAttrLength(Integer attrLength)
    Set attribute length
    Parameters:
      `attrLength` - attribute length

  - ### getLabelText

    public String getLabelText()
    Get label text
    Returns:
      label text

  - ### setLabelText

    public void setLabelText(String labelText)
    Set label text
    Parameters:
      `labelText` - label text

  - ### getIsHidden

    public Boolean getIsHidden()
    Check if the attribute is hidden
    Returns:
      `true` if the attribute is hidden one

  - ### setIsHidden

    public void setIsHidden(Boolean isHidden)
    Change hiddenness of the attribute
    Parameters:
      `isHidden` - hidden option

  - ### getIsRequired

    public Boolean getIsRequired()
    Check if the attribute is required
    Returns:
      `true` if attribute is required

  - ### setIsRequired

    public void setIsRequired(Boolean isRequired)
    Make the attribute required or not
    Parameters:
      `isRequired` - required option

  - ### getNotNull

    public Boolean getNotNull()
    Get nullable of attribute
    Returns:
      nullable of attribute

  - ### setNotNull

    public void setNotNull(Boolean notNull)
    Change nullable of attribute
    Parameters:
      `notNull` - nullable option

  - ### getNotNullEnforce

    public Enforce getNotNullEnforce()

  - ### setNotNullEnforce

    public void setNotNullEnforce(Enforce notNullEnforce)

  - ### getNotNullMessage

    public String getNotNullMessage()

  - ### setNotNullMessage

    public void setNotNullMessage(String notNullMessage)

  - ### getReadOnly

    public Boolean getReadOnly()
    Check if attribute is read-only
    Returns:
      `true` if attribute is read-only

  - ### setReadOnly

    public void setReadOnly(Boolean readOnly)
    Make the attribute read-only or not
    Parameters:
      `readOnly` - read-only option

  - ### getIsSearchable

    public Boolean getIsSearchable()
    Check if attribute is searchable
    Returns:
      `true` if the attribute is searchable

  - ### setIsSearchable

    public void setIsSearchable(Boolean isSearchable)
    Change seachable of attribute
    Parameters:
      `isSearchable` - searchable option

  - ### addValueAssistanceDefinitionItem

    public void addValueAssistanceDefinitionItem(ConditionalValueAssist item)
    Add value assistance definition item
    Parameters:
      `item` - value assistance definition item

  - ### setVaDef

    public void setVaDef(List<ConditionalValueAssist> vaDef)

  - ### addAttrDependencies

    public void addAttrDependencies(String dependency)
    Add attribute dependency
    Parameters:
      `dependency` - the dependency attribute

  - ### setDependencies

    public void setDependencies(List<String> dependencies)

  - ### getDependencies

    public List<String> getDependencies()

  - ### getVaDef

    public List<ConditionalValueAssist> getVaDef()

  - ### addDefaultValue

    @Deprecated public void addDefaultValue(DefaultValue defaultValue)
    Deprecated.
    This is a workaround because single and multiple default value are represented as attribute and elements respectively in XML representation.
    Parameters:
      `defaultValue` - default value to add

  - ### getDefaultLiteral

    public String getDefaultLiteral()

  - ### setDefaultLiteral

    public void setDefaultLiteral(String defaultLiteral)

  - ### getDefaultExpression

    public String getDefaultExpression()

  - ### setDefaultExpression

    public void setDefaultExpression(String defaultExpression)

  - ### getDefaultValueList

    public List<DefaultValue> getDefaultValueList()

  - ### setDefaultValueList

    public void setDefaultValueList(List<DefaultValue> defaultValueList)

  - ### getAttrLifecycles

    public Map<String,Map<String,AttributeLifecycleInfo>> getAttrLifecycles()

  - ### setAttrLifecycles

    public void setAttrLifecycles(Map<String,Map<String,AttributeLifecycleInfo>> attrLifecycles)

  - ### getCreateAttrLifecycle

    public Map<String,AttributeLifecycleInfo> getCreateAttrLifecycle(String lifecycle)

  - ### getCreateAttrLifecycle

    public AttributeLifecycleInfo getCreateAttrLifecycle(String lifecycle, String state)

  - ### getDisplayHint

    public Integer getDisplayHint()

  - ### setDisplayHint

    public void setDisplayHint(Integer displayHint)

  - ### getMappingTables

    public List<MappingTable> getMappingTables()

  - ### setMappingTables

    public void setMappingTables(List<MappingTable> mappingTables)

  - ### addMappingTable

    public void addMappingTable(String value, String display, String desc)

  - ### getIgnoreConstraints

    public Boolean getIgnoreConstraints()

  - ### setIgnoreConstraints

    public void setIgnoreConstraints(Boolean ignoreConstraints)

  - ### getConstraints

    public List<ValueConstraint> getConstraints()

  - ### setConstraints

    public void setConstraints(List<ValueConstraint> constraints)

  - ### addConstraint

    public void addConstraint(ValueConstraint constraint)

  - ### getHelpText

    public String getHelpText()

  - ### setHelpText

    public void setHelpText(String helpText)

  - ### getCommentText

    public String getCommentText()

  - ### setCommentText

    public void setCommentText(String commentText)

  - ### getCategory

    public String getCategory()

  - ### setCategory

    public void setCategory(String category)

  - ### getIgnoreImmutable

    public Boolean getIgnoreImmutable()

  - ### setIgnoreImmutable

    public void setIgnoreImmutable(Boolean ignoreImmutable)

  - ### removeDuplicateAttributeLifecycleInfo

    public void removeDuplicateAttributeLifecycleInfo()